curl -X POST "https://kodostatus.com/api/v1/incidents" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"message": "We are investigating reports of database issues",
"services": ["API", "Database"]
}'
const response = await fetch('https://kodostatus.com/api/v1/incidents', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Database connectivity issues',
status: 'investigating',
severity: 'major',
message: 'We are investigating reports of database issues',
services: ['API', 'Database']
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
Incidents
Create Incident
Create a new incident and optionally notify subscribers
POST
/
incidents
curl -X POST "https://kodostatus.com/api/v1/incidents" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"message": "We are investigating reports of database issues",
"services": ["API", "Database"]
}'
const response = await fetch('https://kodostatus.com/api/v1/incidents', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Database connectivity issues',
status: 'investigating',
severity: 'major',
message: 'We are investigating reports of database issues',
services: ['API', 'Database']
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
Body Parameters
string
required
Incident title
string
default:"investigating"
Initial status:
investigating, identified, monitoring, resolvedstring
default:"minor"
Severity level:
minor, major, criticalstring
Initial update message
array
Array of service names or IDs to link to this incident
Response
Returns the created incident object.curl -X POST "https://kodostatus.com/api/v1/incidents" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"message": "We are investigating reports of database issues",
"services": ["API", "Database"]
}'
const response = await fetch('https://kodostatus.com/api/v1/incidents', {
method: 'POST',
headers: {
'X-API-Key': process.env.KODO_API_KEY,
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: 'Database connectivity issues',
status: 'investigating',
severity: 'major',
message: 'We are investigating reports of database issues',
services: ['API', 'Database']
})
});
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
⌘I